<?php
$to = "f.vanslooten@utwente.nl"; // default address, change this to your address!
/*
Learn more about PHP and using PHP to send mail:
https://www.w3schools.com/php/func_mail_mail.asp
*/
if (!isset($_REQUEST['email'])) { echo "Error: e-mail address missing"; exit(0); }
if (!isset($_REQUEST['name'])) { echo "Error: name missing"; exit(0); }
if (!isset($_REQUEST['message'])) { echo "Error: message missing"; exit(0); }

if (strlen($_REQUEST["name"])<2) { echo "Error: name too short"; exit(0); }
if (strlen($_REQUEST["email"])<6) { echo "Error: e-mail address too short"; exit(0); }
if (!spamcheck($_REQUEST['email'])) { echo "Error: e-mail address invalid ".$_REQUEST['email']." ".date("r"); exit(0); }

$from = filter_var($_REQUEST["name"], FILTER_SANITIZE_STRING). " <" . filter_var($_REQUEST["email"], FILTER_SANITIZE_STRING) . ">";
$subject = "message via e-mail form on website";
$headers = "From: ".$from."\r\n" .
    "Reply-To: ".$from."\r\n" .
    "X-Mailer: PHP/" . phpversion();

$message = "Message from: " . $from . ":\r\n" .
	filter_var($_REQUEST["message"], FILTER_SANITIZE_STRING);

if (mail($to, $subject, $message, $headers)) {
	echo "E-mail sent."; // The AJAX script in the HTML page uses this return message to determine if sending the message was succesfull.
						 // So do not change it unless you know what you are doing.
	exit(1);
}
else {
	echo "There was a problem sending the e-mail.";
	exit(0);
}

function spamcheck($field) {
  //filter_var() sanitizes the e-mail
  //address using FILTER_SANITIZE_EMAIL
  $field=filter_var($field, FILTER_SANITIZE_EMAIL);

  //filter_var() validates the e-mail
  //address using FILTER_VALIDATE_EMAIL
  if(filter_var($field, FILTER_VALIDATE_EMAIL))
    {
    return TRUE;
    }
  else
    {
    return FALSE;
    }
}
?>